---
title: Update
url: https://www.tines.com/docs/api/admin/ip_access_control/update/
updated: 2024-08-12T19:42:44+00:00
description: Update an existing IP access control rule.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [IP Access Control](https://www.tines.com/llm/docs/api/admin/ip_access_control.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/admin/ip_access_control/update/)*

## Description

Update an existing IP access control rule.

## Request

HTTP Method: **PUT**, **PATCH**

### Field description

| Field       | Description                             |
| ----------- | --------------------------------------- |
| id          | IP access control rule ID.              |
| ip          | IP address or CIDR range of the rule.   |
| description | Human-readable description of the rule. |

### Sample request

<!-- cspell:disable -->

```bash

curl -X PUT \
  https://<tenant-domain>/api/v1/admin/ip_access_control_rules/1 \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
      "ip": "192.168.1.1",
      "description": "Example IP"
    }'
```

<!-- cspell:enable -->

## Response

A successful request will return status 200 and the updated IP access control rule object.

See `list` for more details about the rule object.
